package com.yuyu.srdisassemble.data.mapper;

import com.yuyu.srdisassemble.pojo.DisassembleData;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

public interface SqlDataMapper {


    void createTable();
    void setChartseUtf8();
    void addDisassembleEvent(@Param("data") DisassembleData data);
    List<DisassembleData> selectDisassembleEvent(@Param("playername") String playername);
    List<DisassembleData> selectDisassembleEventAndTarget(@Param("playername")String playername, @Param("target") String target);
    void deleteDisassemble(@Param("playername") String playername, @Param("target") String target,@Param("disassembleTime") Date disassembleTime);
}
